com.versionone.apiclient

## Class V1Connector

- java.lang.Object
- - com.versionone.apiclient.V1Connector

-     public class V1Connector
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `V1Connector.IAuthenticationMethods`
    `static interface` | `V1Connector.IBuild`
    `static interface` | `V1Connector.IProxy`
    `static interface` | `V1Connector.IsetEndpoint`
    `static interface` | `V1Connector.IsetEndPointOrConnector`
    `static interface` | `V1Connector.IsetProxyOrConnector`
    `static interface` | `V1Connector.IsetProxyOrEndPointOrConnector`
    `static interface` | `V1Connector.ISetUserAgentMakeRequest`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `V1Connector(String instanceUrl)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected OutputStream` | `beginRequest(String path, String contentType)`
    `protected InputStream` | `endRequest(String path)`
    `protected InputStream` | `getAttachment(String path)`
    `protected Reader` | `getData()`
    `protected Reader` | `getData(String path)`
    `protected Reader` | `sendData(String path, Object data)`
    `Reader` | `sendData(String key, Object data, String contentType)`
    `String` | `stringSendData(String data, String contentType)`
    `void` | `useAttachmentApi()`
    `void` | `useConfigAPI()`
    `void` | `useDataAPI()`
    `void` | `useEmbeddedApi()`
    `void` | `useHistoryAPI()`
    `void` | `useLoc2API()`
    `void` | `useLocAPI()`
    `void` | `useMetaAPI()`
    `void` | `useNewAPI()`
    `void` | `useQueryAPI()`
    `static V1Connector.ISetUserAgentMakeRequest` | `withInstanceUrl(String instanceUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### V1Connector

          protected V1Connector(String instanceUrl)
                         throws V1Exception,
                                MalformedURLException

      Throws:
        `V1Exception`
        `MalformedURLException`

  - ### Method Detail

    - #### withInstanceUrl

          public static V1Connector.ISetUserAgentMakeRequest withInstanceUrl(String instanceUrl)
                                                                      throws V1Exception,
                                                                             MalformedURLException

      Throws:
        `V1Exception`
        `MalformedURLException`

    - #### getData

          protected Reader getData()
                            throws ConnectionException

      Throws:
        `ConnectionException`

    - #### getData

          protected Reader getData(String path)
                            throws ConnectionException

      Throws:
        `ConnectionException`

    - #### getAttachment

          protected InputStream getAttachment(String path)
                                       throws ConnectionException

      Throws:
        `ConnectionException`

    - #### sendData

          protected Reader sendData(String path,
                                    Object data)
                             throws ConnectionException

      Throws:
        `ConnectionException`

    - #### stringSendData

          public String stringSendData(String data,
                                       String contentType)

    - #### sendData

          public Reader sendData(String key,
                                 Object data,
                                 String contentType)

    - #### beginRequest

          protected OutputStream beginRequest(String path,
                                              String contentType)
                                       throws ConnectionException

      Throws:
        `ConnectionException`

    - #### endRequest

          protected InputStream endRequest(String path)
                                    throws ConnectionException

      Throws:
        `ConnectionException`

    - #### useMetaAPI

          public void useMetaAPI()

    - #### useDataAPI

          public void useDataAPI()

    - #### useNewAPI

          public void useNewAPI()

    - #### useHistoryAPI

          public void useHistoryAPI()

    - #### useQueryAPI

          public void useQueryAPI()

    - #### useLocAPI

          public void useLocAPI()

    - #### useLoc2API

          public void useLoc2API()

    - #### useConfigAPI

          public void useConfigAPI()

    - #### useAttachmentApi

          public void useAttachmentApi()

    - #### useEmbeddedApi

          public void useEmbeddedApi()

Copyright © 2021 VersionOne, Inc.. All rights reserved.